Skip to main content
DELETE
/
v1
/
webhooks
/
{id}
curl -X DELETE "https://api.signa.so/v1/webhooks/whk_01HK..." \
  -H "Authorization: Bearer $SIGNA_API_KEY" \
  -H "Idempotency-Key: delete-whk-01HK-2026-06-12"
{
  "id": "<string>",
  "object": "<string>",
  "deleted": true,
  "request_id": "<string>"
}

Path Parameters

id
string
required
Endpoint ID (whk_*).

Response

id
string
Endpoint ID.
object
string
Always "webhook_endpoint".
deleted
boolean
Always true.
request_id
string
Request identifier.
The dispatcher stops attempting deliveries to deleted endpoints immediately. In-flight deliveries already enqueued in the delivery queue will be no-op’d by the dispatcher when it reads the row.
curl -X DELETE "https://api.signa.so/v1/webhooks/whk_01HK..." \
  -H "Authorization: Bearer $SIGNA_API_KEY" \
  -H "Idempotency-Key: delete-whk-01HK-2026-06-12"